List exam forms
Every exam form, with its lines in order: the ones in use first. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
exam-forms
List exam forms
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/exam-forms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/exam-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/exam-forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>",
"is_active": true,
"lines": [
{
"id": "<string>",
"kind": "weight",
"label": "<string>",
"sort_order": 123,
"record_type": "vaccination",
"catalogue_item_id": "<string>",
"choices": [
"<string>"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List exam forms
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/exam-forms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/exam-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/exam-forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>",
"is_active": true,
"lines": [
{
"id": "<string>",
"kind": "weight",
"label": "<string>",
"sort_order": 123,
"record_type": "vaccination",
"catalogue_item_id": "<string>",
"choices": [
"<string>"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
